/*
 * Created on 10.apr.2005
 *
 * Gran 
 */
package smsmediators;

import se.ericsson.eto.norarc.javaframe.Message;
/**
 * Description:  Object representing a Positioning request
 *
 */
public class PosRequest extends Message {
	
	private String positioningId;
	private String messageId;
	/**
	 * Constructor for positioning requests
	 * @param positioningId to the phone/person you want to locate
	 * 
	 */
	
	public PosRequest(String positioningId) {
		this(positioningId, "" + System.currentTimeMillis());
	}
	
	public PosRequest(String positioningId, String messageId)
	{
		this.positioningId = positioningId; 
		this.messageId = messageId;
	}
	
	public String getPositioningId() {
		return positioningId;
	}
	
	public String getMessageId() {
		return messageId;
	}

	public void setMessageId(String messageId) {
		this.messageId = messageId;
	}
	
	public void setPositioningId(String positioningId) {
		this.positioningId = positioningId;
	}
	
}