
package no.uio.ifi.uml.sedi.edit;

import no.uio.ifi.uml.sedi.edit.policy.SeDiSubpartEditPolicy;
import no.uio.ifi.uml.sedi.figures.CoregionFigure;
import no.uio.ifi.uml.sedi.model.Coregion;

import org.eclipse.draw2d.IFigure;
import org.eclipse.draw2d.geometry.Rectangle;
import org.eclipse.gef.EditPolicy;
import org.eclipse.gef.GraphicalEditPart;



public class CoregionEditPart extends SeDiSubpartEditPart {
	protected IFigure createFigure() {
		CoregionFigure cr = new CoregionFigure();
		return cr;
	}

	protected void createEditPolicies() {
		installEditPolicy(EditPolicy.COMPONENT_ROLE, new SeDiSubpartEditPolicy());	
	}
	protected void refreshVisuals(){
		Coregion cr = (Coregion)getModel();
		CoregionFigure crFigure=(CoregionFigure)getFigure();
		Rectangle r = new Rectangle(cr.getLocation().x,cr.getLocation().y,cr.getSize().width,cr.getSize().height);
		((GraphicalEditPart)getParent()).setLayoutConstraint(this,crFigure,r);
	}
}
