
package no.uio.ifi.uml.sedi.edit.manager;

import org.eclipse.swt.widgets.Text;
import org.eclipse.jface.viewers.CellEditor;
import org.eclipse.gef.tools.CellEditorLocator;
import org.eclipse.draw2d.geometry.Rectangle;

import no.uio.ifi.uml.sedi.figures.ContinuationFigure;


public class ContinuationCellEditorLocator implements CellEditorLocator {

	private final ContinuationFigure figure;
	
	public ContinuationCellEditorLocator(ContinuationFigure t) {
		figure = t;
	}
	
	public void relocate(CellEditor celleditor) {
		Text text = (Text)celleditor.getControl();
		Rectangle rect = figure.getTextBounds();
		text.setBounds(rect.x - 3, rect.y, rect.width + 7, rect.height);
	}
}
