
package no.uio.ifi.uml.sedi.edit.manager;

import no.uio.ifi.uml.sedi.figures.FrameFigure;

import org.eclipse.draw2d.geometry.Rectangle;
import org.eclipse.gef.tools.CellEditorLocator;
import org.eclipse.jface.viewers.CellEditor;
import org.eclipse.swt.widgets.Text;


public class FrameCellEditorLocator implements CellEditorLocator{

	private FrameFigure figure;
	
	public FrameCellEditorLocator(FrameFigure t) {
		figure=t;
}
	
	public void relocate(CellEditor celleditor) {
		Text text = (Text)celleditor.getControl();
		
		Rectangle rect = figure.getTextBounds();
		text.setBounds(rect.x - 3, rect.y, rect.width + 7, rect.height);
		
		/*
		String name = text.getText();
		int size = name.length();
		Label label = figure.getTextFlow();
		Rectangle rect = label.getBounds().getCopy();
		label.translateToAbsolute(rect);
		text.setBounds(rect.x,rect.y,size*5+5,rect.height);
		*/
	}
	
}
