
package no.uio.ifi.uml.sedi.edit.manager;

import no.uio.ifi.uml.sedi.figures.IOFigure;

import org.eclipse.draw2d.geometry.Rectangle;
import org.eclipse.gef.tools.CellEditorLocator;
import org.eclipse.jface.viewers.CellEditor;
import org.eclipse.swt.widgets.Text;


public class IOCellEditorLocator implements CellEditorLocator{

	private final IOFigure figure;
	
	public IOCellEditorLocator(final IOFigure t) {
		figure = t;
	}
	
	public void relocate(final CellEditor celleditor) {
		final Text text = (Text)celleditor.getControl();
		final Rectangle rect = figure.getTextBounds();
		text.setBounds(rect.x - 3, rect.y, rect.width + 7, rect.height);
	}	
}
