
package no.uio.ifi.uml.sedi.edit.manager;

import java.util.List;

import org.eclipse.draw2d.Label;
import org.eclipse.draw2d.PolylineConnection;
import org.eclipse.draw2d.geometry.Rectangle;
import org.eclipse.gef.tools.CellEditorLocator;
import org.eclipse.jface.viewers.CellEditor;
import org.eclipse.swt.widgets.Text;

public class MessageCellEditorLocator implements CellEditorLocator{

	private PolylineConnection msg;
	
	public MessageCellEditorLocator(PolylineConnection t) {
		msg=t;
}
	
	public void relocate(CellEditor celleditor) {
		Text text = (Text)celleditor.getControl();
		List children = msg.getChildren();
		Label label = (Label)children.get(0);
		Rectangle rect = label.getBounds().getCopy();
		label.translateToAbsolute(rect);
		text.setBounds(rect.x - 3, rect.y, rect.width + 7, rect.height);
	}
}
