
package no.uio.ifi.uml.sedi.edit.manager;

import java.util.List;

import org.eclipse.draw2d.Label;
import org.eclipse.draw2d.PolylineConnection;
import org.eclipse.gef.GraphicalEditPart;
import org.eclipse.gef.tools.CellEditorLocator;
import org.eclipse.gef.tools.DirectEditManager;
import org.eclipse.swt.widgets.Text;


public class MessageEditManager extends DirectEditManager {

	public MessageEditManager(GraphicalEditPart arg0, Class arg1, CellEditorLocator arg2) {
		super(arg0, arg1, arg2);
	}

	protected void initCellEditor() {
		Text text = (Text)getCellEditor().getControl();
		PolylineConnection msg = (PolylineConnection)getEditPart().getFigure();
		List children = msg.getChildren();
		Label label = (Label)children.get(0);
		String initText = label.getText();
		getCellEditor().setValue(initText);
		text.selectAll();
	}

}
