package no.uio.ifi.uml.sedi.edit.policy;

import org.eclipse.gef.commands.Command;
import org.eclipse.gef.editpolicies.DirectEditPolicy;
import org.eclipse.gef.requests.DirectEditRequest;

import no.uio.ifi.uml.sedi.model.SeDiSubpart;
import no.uio.ifi.uml.sedi.model.command.DirectEditCommand;


public class SeDiSubpartDirectEditPolicy extends DirectEditPolicy {

	protected Command getDirectEditCommand(DirectEditRequest request) {
		DirectEditCommand cmd = new DirectEditCommand();
		SeDiSubpart model = (SeDiSubpart) getHost().getModel();
		cmd.setModel(model);
		String text = (String) request.getCellEditor().getValue();
		cmd.setText(text);
		cmd.setLabel("Rename");
		return cmd;
	}

	protected void showCurrentEditValue(DirectEditRequest request) {
		
	}
}
