
package no.uio.ifi.uml.sedi.model;

public class Message extends SeDiSubpart{

	private SeDiSubpart source,target;
	private String sourceRef,targetRef;
	private String name = "your text here";
	
	public void setSource(SeDiSubpart iSource){
	  	source = iSource;
	}
	  
	public void setTarget(SeDiSubpart iTarget){
		target = iTarget;
	}
	  
	public void attachSource(){
		source.connectMessageFrom(this);
	}

	public void attachTarget() {
		target.connectMessageTo(this);
	}
	
	public void detachSource(){
		if(source!=null)
			source.removeMessageFrom(this);
	}

	public void detachTarget() {
		
		if(target!=null){
			target.removeMessageTo(this);
		}
	}
	
	public SeDiSubpart getSource(){
	  	return source;
	}
	  
	public SeDiSubpart getTarget(){
		return target;
	}
	public void setSourceRef(String s){
		sourceRef=s;
	}
	public void setTargetRef(String t){
		targetRef=t;	
	}
	
	public String getSourceRef(){
		return sourceRef;	
	}
	
	public String getTargetRef(){
		return targetRef;
	}
	public void setText(String text){
		name=text;
		firePropertyChange("DirectEdit",null,name);
	}
	public String getText(){
		// TODO Remove this condition in the next major version of SeDi
		//      This code is put here in order to not modify the SerialUID
		//      identify of the Separator class (file format compatiblity)
		//      See also Separator#Separator()
		if (this instanceof Separator) {
			if ("your text here".equals(name))
				return "";
		}
		return name;
	}
}
