package no.uio.ifi.uml.sedi.model;

import org.eclipse.gef.requests.CreationFactory;

public class MessageFactory implements CreationFactory {

	private final String type;
	
	public MessageFactory(final String type) {
		this.type = type;
	}
	
	public Object getNewObject() {
		if (type.equals("a"))
			return new AMessage();
		else if (type.equals("c"))
			return new CMessage();
		else if (type.equals("r"))
			return new RMessage();
		else if (type.equals("s"))
			return new Separator();
		return null;
	}

	public Object getObjectType() {
		return type;
	}
}
