
package no.uio.ifi.uml.sedi.model.command;

import no.uio.ifi.uml.sedi.model.SeDiSubpart;

import org.eclipse.gef.commands.Command;


public class DirectEditCommand extends Command{
	private String newText,oldText;
	private SeDiSubpart model;
	
	public void execute(){
		oldText=model.getText();
		if(oldText==null)
			oldText=" ";
		model.setText(newText);
	}
	
	public void setText(String t){
		newText=t;
	}
	public void setModel(SeDiSubpart m){
		model=m;
	}
	public void undo(){
		if(oldText!=null)
			model.setText(oldText);
	}
}
