package se.ericsson.eto.norarc.javaframe;

/**
 * An ActiveObject represents the behaving elements of the JavaFrame systems
 */
public abstract class ActiveObject {

  String activeObjectName = null;
  public Composite owner; //The Composite which contains this ActiveObject

  public ActiveObject() {
  }

  public void setActiveObjectName(String activeObjectName) {
    this.activeObjectName = activeObjectName;
  }

  /**
   * returns the identifier of the ActiveObject
   */
  public final String activeObjectName() {
    if (activeObjectName != null) {
      return activeObjectName;
    }
    String str =  String.valueOf(this);
    return str.substring(str.lastIndexOf('.')+1);
  }
}
