package se.ericsson.eto.norarc.javaframe;

/**
 * The superclass of all objects of JavaFrame that are addressable. The significance of
 * this class is only within the JavaFrame package itself.
 */
interface Addressable {
  /**
   * forward the Message sig to yet other Addressable(s) and invoke its/their forward method(s)
   */
  public void forward(Message sig);
}