package se.ericsson.eto.norarc.javaframe;

import java.util.LinkedList;

public abstract class SimpleIdRouterMediator extends SimpleRouterMediator {

	public LinkedList idList;
	
	public SimpleIdRouterMediator() {
		super();
		idList = new LinkedList();
		mediatorList = new LinkedList();
	}
	
	public void removeAddress(Addressable a) {
		for (int i = 0; i < mediatorList.size(); i++) {
			Mediator m = (Mediator)mediatorList.get(i);
			if (m == a) {
				idList.remove(i);
				mediatorList.remove(i);
			}
		}
	}
	
	public void addId(Object id) {
		idList.add(id);
	}
}
