/*
 * Created on 10.apr.2005
 *
 * Gran 
 */
package smsmediators;

import se.ericsson.eto.norarc.javaframe.Message;
/**
 * Description:  Object representing a Positioning result
 *
 */
public class PosResult extends Message {
	
	private String positioningResult;
	private String messageId;
	
	/**
	 * Constructor for positioning requests
	 * @param positioningResult to the phone/person you want to locate
	 * @param messageId a unique identifier for the message
	 */
	public PosResult(String positioningResult, String messageId)
	{
		this.positioningResult = positioningResult; 
		this.messageId = messageId;
	}
	
	
	/**
	 * @return Returns the messageId.
	 */
	public String getMessageId() {
		return messageId;
	}
	/**
	 * @param messageId The messageId to set.
	 */
	public void setMessageId(String messageId) {
		this.messageId = messageId;
	}
	/**
	 * @return Returns the positioningResult.
	 */
	public String getPositioningResult() {
		return positioningResult;
	}
	/**
	 * @param positioningResult The positioningResult to set.
	 */
	public void setPositioningResult(String positioningResult) {
		this.positioningResult = positioningResult;
	}
}