
package no.uio.ifi.uml.sedi.edit;

import no.uio.ifi.uml.sedi.edit.policy.SeDiSubpartEditPolicy;
import no.uio.ifi.uml.sedi.figures.EOFigure;
import no.uio.ifi.uml.sedi.model.EO;

import org.eclipse.draw2d.IFigure;
import org.eclipse.draw2d.geometry.Rectangle;
import org.eclipse.gef.EditPolicy;
import org.eclipse.gef.GraphicalEditPart;



public class EOEditPart extends SeDiSubpartEditPart {
	protected IFigure createFigure() {
		EOFigure cr = new EOFigure();
		return cr;
	}

	protected void createEditPolicies() {
		installEditPolicy(EditPolicy.COMPONENT_ROLE, new SeDiSubpartEditPolicy());	
	}
	protected void refreshVisuals(){
		EO cr = (EO)getModel();
		EOFigure crFigure=(EOFigure)getFigure();
		Rectangle r = new Rectangle(cr.getLocation().x,cr.getLocation().y,cr.getSize().width,cr.getSize().height);
		((GraphicalEditPart)getParent()).setLayoutConstraint(this,crFigure,r);
	}
}
