
package no.uio.ifi.uml.sedi.edit;

import no.uio.ifi.uml.sedi.edit.policy.SeDiSubpartEditPolicy;
import no.uio.ifi.uml.sedi.figures.TerminateFigure;
import no.uio.ifi.uml.sedi.model.Terminate;

import org.eclipse.draw2d.IFigure;
import org.eclipse.draw2d.geometry.Rectangle;
import org.eclipse.gef.EditPolicy;
import org.eclipse.gef.GraphicalEditPart;



public class TerminateEditPart extends SeDiSubpartEditPart {
	protected IFigure createFigure() {
		TerminateFigure cr = new TerminateFigure();
		return cr;
	}

	protected void createEditPolicies() {
		installEditPolicy(EditPolicy.COMPONENT_ROLE, new SeDiSubpartEditPolicy());	
	}
	protected void refreshVisuals(){
		Terminate terminate = (Terminate)getModel();
		TerminateFigure crFigure=(TerminateFigure)getFigure();
		Rectangle r = new Rectangle(terminate.getLocation().x,terminate.getLocation().y,terminate.getSize().width,terminate.getSize().height);
		((GraphicalEditPart)getParent()).setLayoutConstraint(this,crFigure,r);
	}
}
