
package no.uio.ifi.uml.sedi.edit.manager;

import org.eclipse.draw2d.geometry.Rectangle;
import org.eclipse.gef.tools.CellEditorLocator;
import org.eclipse.jface.viewers.CellEditor;
import org.eclipse.swt.widgets.Text;

import no.uio.ifi.uml.sedi.figures.CFFigure;


public class CFCellEditorLocator implements CellEditorLocator {

	private final CFFigure figure;
	
	public CFCellEditorLocator(final CFFigure t) {
		figure = t;
	}
	
	public void relocate(CellEditor celleditor) {
		final Text text = (Text)celleditor.getControl();
		final Rectangle rect = figure.getTextBounds();
		text.setBounds(rect.x - 3, rect.y, rect.width + 7, rect.height);
	}	
}
