package no.uio.ifi.uml.sedi.edit.policy;

import no.uio.ifi.uml.sedi.edit.SeDiSubpartEditPart;
import no.uio.ifi.uml.sedi.model.SeDiElement;
import no.uio.ifi.uml.sedi.model.SeDiSubpart;
import no.uio.ifi.uml.sedi.model.command.DeleteCommand;

import org.eclipse.gef.commands.Command;
import org.eclipse.gef.editpolicies.ComponentEditPolicy;
import org.eclipse.gef.requests.GroupRequest;

public class SeDiSubpartEditPolicy extends ComponentEditPolicy {
	protected Command createDeleteCommand(GroupRequest request)	{
		SeDiSubpartEditPart editPart = (SeDiSubpartEditPart) getHost();
		SeDiElement parent = (SeDiElement) (editPart.getParent().getModel());
		DeleteCommand del = new DeleteCommand();
		del.setParent(parent);
		del.setChild((SeDiSubpart) (editPart.getModel()));
		// There is no use setting a label here because the default 
		// DeleteAction will wrap the individual delete commands in a
		// composite command, whose label ("Delete") will appear.
		// Hence we need to replace DeleteAction to change the label.
		//del.setLabel("delete figure"); // NEXT: replace 'figure' with actual figure name
		return del;
	}	
}
