
package no.uio.ifi.uml.sedi.figures;

import org.eclipse.draw2d.AbstractConnectionAnchor;
import org.eclipse.draw2d.IFigure;
import org.eclipse.draw2d.geometry.Point;
import org.eclipse.draw2d.geometry.PrecisionPoint;
import org.eclipse.draw2d.geometry.Rectangle;

public class SeDiAnchor extends AbstractConnectionAnchor{

	int offSetY=0,offSetX=0;
	
	public SeDiAnchor(IFigure owner){
		super(owner);
	}
	
	public Point getLocation(Point arg0) {
		Rectangle r = getOwner().getBounds();
		int x,y;
		y = r.y + offSetY;
		x = r.x + offSetX;
		Point p = new PrecisionPoint(x,y);
		getOwner().translateToAbsolute(p);
		return p;
	}

	public Point getReferencePoint(){
		return getLocation(null);
	}
	
	public void setOffsetH(int offsetH) {
		offSetX = offsetH;
		fireAnchorMoved();
	}
	
	public void setOffsetV(int offsetV) {
		offSetY = offsetV;
		fireAnchorMoved();
	}
}
