package no.uio.ifi.uml.sedi.model;


import org.eclipse.draw2d.geometry.Dimension;
import org.eclipse.draw2d.geometry.Point;

public class Lifeline extends SeDiSubpart{
	
	private String name="Your text here";
	private String ref = null;
	
	public Lifeline(){
		setSize(new Dimension(100,320));
	}
	
	public void setText(String text){
		String oldValue = name;
		name=text;
		firePropertyChange("DirectEdit",oldValue,name);
	}
	public void setRef(String text) {
		String oldValue = ref;
		ref = text;
		firePropertyChange("Ref", oldValue, text);
	}
	public void setLocation(Point p){
		super.setLocation(new Point(p.x, 40));
	}
	
	public String getText(){
		return name;
	}
	public String getRef() {
		return ref;
	}
	public boolean isDecomposed() {
		return ref != null;
	}
}
