
package no.uio.ifi.uml.sedi.model.command;

import no.uio.ifi.uml.sedi.model.Frame;
import no.uio.ifi.uml.sedi.model.SeDiElement;
import no.uio.ifi.uml.sedi.model.SeDiSubpart;

import org.eclipse.draw2d.geometry.Point;
import org.eclipse.draw2d.geometry.Rectangle;
import org.eclipse.gef.commands.Command;


public class CreateCommand extends Command{
	private SeDiElement parent;
	private SeDiSubpart child;
	
	public void execute(){
		parent.add(child);
		if(!(child instanceof Frame)){
			child.setParent(parent);
		//	if(!(child instanceof Lifeline))
		//		parent.glueParts(child);
		}
	}	
	
	public CreateCommand() {
		super("CreateCommand");
	}
	
	public void setParent(SeDiElement p){
	parent=p;
	}
	public void setChild(SeDiSubpart c) {
		child = c;
	}

	public void setLocation(Point location) {
		child.setLocation(location);
	}
	public void undo(){
		parent.remove(child);
	}

	public void setLocation(Rectangle constraint) {
		child.setLocation(constraint.getLocation());
	}
}
