
package no.uio.ifi.uml.sedi.uml2;

import no.uio.ifi.uml.sedi.SeDiEditor;

import org.eclipse.core.resources.IWorkspaceRoot;
import org.eclipse.core.resources.ResourcesPlugin;
import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.NullProgressMonitor;
import org.eclipse.gef.DefaultEditDomain;

import org.eclipse.gef.tools.AbstractTool;



public class CreateUML2Tool extends AbstractTool {

	private SeDiEditor editor;
	private DefaultEditDomain domain;
	
	public CreateUML2Tool(SeDiEditor e, DefaultEditDomain d){
		editor=e;
		domain=d;
	}
	
	public void activate() {
		createUML2();
	}

	protected void createUML2() {
		GenerateUML2 p = new GenerateUML2();
		int ok = p.generateUML2(editor);
	/*
		if(ok==1){
		String []buttons=new String [1];
		buttons[0]="OK";
		MessageDialog msgD = new MessageDialog(null,null,null,"UML2 file created!",MessageDialog.INFORMATION,buttons,0);
		msgD.open();
		}
		*/
		// UML2 button will not be sticky
		domain.loadDefaultTool();
		
		//refresh the workspace so the newly created *.uml2 file is shown or updated
		if(ok==1){
			IWorkspaceRoot workspaceRoot = ResourcesPlugin.getWorkspace().getRoot(); 
			try {
				workspaceRoot.refreshLocal(2,new NullProgressMonitor());
			} catch (CoreException e) {
				e.printStackTrace();
			}
		}
	}

	public void deactivate() {
	}

	protected String getCommandName() {
		
		return null;
	}

	protected String getDebugName() {
		
		return null;
	}
}